<?php

header('Content-type: application/vnd.ms-excel');
header("Content-Disposition: attachment; filename=excel-prestamos_morosos.xls");
use_helper('UrlFunctions');
use_helper('UtilFunctions');
set_time_limit(150);
ini_set('memory_limit', '96M');
use_helper('UtilFunctions');




$a_dia = getDia();
$a_diaT = getDiaT();

/*
$data = new DateTime("2018-04-01");
echo  $data->format('W');

echo "<br>----------";
*/


//pintarReporte("pv",$a_dimensiones,$a_semana,$a_dia,$a_diaT,$a_dm,1);
//PDF = 1

$o_SucursalBean = new SucursalBean();
$o_SucursalBean->setIdSucursal($cboSucursal);
$o_SucursalBL = new SucursalBL();
$a_o_sucursal = $o_SucursalBL->busquedaSucursal($o_SucursalBean);
if(is_object($a_o_sucursal[0])){
	$Sucursal = $a_o_sucursal[0]->getDescripcion();
	
}

$a_dm = datosMes($cboAno,$cboMes);


$a_dimensiones = getDimensiones($cboSucursal,$a_dm['primerFecha'],$a_dm['ultimoFecha']);


$a_semana = datosFechaMes ($cboAno,$cboMes, $a_dm);

ob_start();	
pintarReporte("pv",$a_dimensiones,$a_semana,$a_dia,$a_diaT,$a_dm,0,0,0,1);
// add a page

ob_implicit_flush(0);
$tbl .= "<html>";
$tbl .= "<body>";
$tbl .= "<table>";
$tbl .= "<tr>";
$tbl .= "<td>";
$tbl .= "Reporte de Prestamos Morosos ";
$tbl .= "</td>";
$tbl .= "</tr>";
$tbl .= "<tr>";
$tbl .= "<td colspan='2'>";
$tbl .= "Sucursal: ".$Sucursal." | Periodo: ".$cboAno." -".$cboMes;
$tbl .= "</td>";
$tbl .= "</tr>";
$tbl .= "</table>";

$tbl .= ob_get_clean();
$tbl .= "</body>";
$tbl .= "</html>";
//echo $tbl;
echo $tbl;

